import { IEventHandler, IStorageHandler, IBaasicApp } from '../contracts';
export declare class BrowserEventHandler implements IEventHandler {
    protected storageHandler: IStorageHandler;
    private application;
    protected readonly messageBusKey: string;
    constructor(storageHandler: IStorageHandler, application: IBaasicApp);
    pushMessage(message: any, args: any): void;
    triggerEvent: (eventName: string, data: any) => void;
    addEvent: (eventName: string, func: any) => void;
    private initEventing;
}
