export declare const TokenTypes: {
    Access: string;
    Refresh: string;
};
export declare type TokenType = "access" | "refresh";
export interface IToken {
    expireTime?: number;
    expires_in?: number;
    sliding_window?: number;
    token: string;
    tokenUrl: string;
    type: TokenType;
}
