/**
 * @module articleSubscriptionsClient
 * @description  Articles Subscriptions Client provides an easy way to consume  Articles REST API end-points. In order to obtain needed routes `articleSubscriptionsClient` uses `articleSubscriptionsRoute`.
 */
import { ArticleInstanceSubscriptionsRoute, ArticleSubscriptionsArticleClient, ArticleSubscriptionsCommentReportedClient, ArticleSubscriptionsCommentRequiresModerationClient } from '../';
export declare class ArticleInstanceSubscriptionsClient {
    protected articleSubscriptionsCommentReportedClient: ArticleSubscriptionsCommentReportedClient;
    protected articleSubscriptionsArticleClient: ArticleSubscriptionsArticleClient;
    protected articleSubscriptionsCommentRequiresModerationClient: ArticleSubscriptionsCommentRequiresModerationClient;
    protected articleInstanceSubscriptionsRoute: ArticleInstanceSubscriptionsRoute;
    readonly commentReported: ArticleSubscriptionsCommentReportedClient;
    readonly article: ArticleSubscriptionsArticleClient;
    readonly commentRequiresModeration: ArticleSubscriptionsCommentRequiresModerationClient;
    readonly routeDefinition: ArticleInstanceSubscriptionsRoute;
    constructor(articleSubscriptionsCommentReportedClient: ArticleSubscriptionsCommentReportedClient, articleSubscriptionsArticleClient: ArticleSubscriptionsArticleClient, articleSubscriptionsCommentRequiresModerationClient: ArticleSubscriptionsCommentRequiresModerationClient, articleInstanceSubscriptionsRoute: ArticleInstanceSubscriptionsRoute);
}
