"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _1 = require("./");
var inversify_1 = require("inversify");
var Root = /** @class */ (function () {
    function Root(articles, comments, files, ratings, subscriptions, tags, settings) {
        this.articles = articles;
        this.comments = comments;
        this.files = files;
        this.ratings = ratings;
        this.subscriptions = subscriptions;
        this.tags = tags;
        this.settings = settings;
    }
    Root = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(_1.TYPES.ArticleClient)),
        tslib_1.__param(1, inversify_1.inject(_1.TYPES.ArticleCommentsClient)),
        tslib_1.__param(2, inversify_1.inject(_1.TYPES.ArticleFilesClient)),
        tslib_1.__param(3, inversify_1.inject(_1.TYPES.ArticleRatingsClient)),
        tslib_1.__param(4, inversify_1.inject(_1.TYPES.ArticleSubscriptionsClient)),
        tslib_1.__param(5, inversify_1.inject(_1.TYPES.ArticleTagsClient)),
        tslib_1.__param(6, inversify_1.inject(_1.TYPES.ArticleSettingsClient)),
        tslib_1.__metadata("design:paramtypes", [_1.ArticleClient,
            _1.ArticleCommentsClient,
            _1.ArticleFilesClient,
            _1.ArticleRatingsClient,
            _1.ArticleSubscriptionsClient,
            _1.ArticleTagsClient,
            _1.ArticleSettingsClient])
    ], Root);
    return Root;
}());
exports.Root = Root;
