"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var Symbol = require("es6-symbol");
var _1 = require("./");
var TYPES = {
    NotificationsClient: Symbol("NotificationsClient"),
    NotificationsPublishBatchClient: Symbol("NotificationsPublishBatchClient"),
    NotificationsPublishBatchRoute: Symbol("NotificationsPublishBatchRoute"),
    NotificationsPublishRoute: Symbol("NotificationsPublishRoute"),
    NotificationsPublishClient: Symbol("NotificationsPublishClient"),
    NotificationsRegistrationsAnonymousBatchClient: Symbol("NotificationsRegistrationsAnonymousBatchClient"),
    NotificationsRegistrationsAnonymousBatchRoute: Symbol("NotificationsRegistrationsAnonymousBatchRoute"),
    NotificationsRegistrationsAnonymousClient: Symbol("BasicNotificationsRegistrationsAnonymousClient"),
    NotificationsRegistrationsAnonymousRoute: Symbol("NotificationsRegistrationsAnonymousRoute"),
    NotificationsRegistrationsRoute: Symbol("NotificationsRegistrationsRoute"),
    NotificationsRegistrationsUsersBatchRoute: Symbol("NotificationsRegistrationsUsersBatchRoute"),
    NotificationsRegistrationsUsersBatchClient: Symbol("NotificationsRegistrationsUsersBatchClient"),
    NotificationsRegistrationsUsersClient: Symbol("NotificationsRegistrationsUsersClient"),
    NotificationsRegistrationsUsersRoute: Symbol("NotificationsRegistrationsUsersRoute"),
    NotificationsRoute: Symbol("NotificationsRoute"),
    NotificationsRegistrationsClient: Symbol("NotificationsRegistrationsClient"),
    NotificationsSubscriptionsClient: Symbol("NotificationsSubscriptionsClient"),
    NotificationsSubscriptionsRoute: Symbol("NotificationsSubscriptionsRoute"),
    NotificationsSubscriptionsAnonymousBatchClient: Symbol("NotificationsSubscriptionsAnonymousBatchClient"),
    NotificationsSubscriptionsAnonymousBatchRoute: Symbol("NotificationsSubscriptionsAnonymousBatchRoute"),
    NotificationsSubscriptionsAnonymousRoute: Symbol("NotificationsSubscriptionsAnonymousRoute"),
    NotificationsSubscriptionsAnonymousClient: Symbol("NotificationsSubscriptionsAnonymousClient"),
    NotificationsSubscriptionsUsersRoute: Symbol("BasicNotificationsSubscriptionsRoute"),
    NotificationsSubscriptionsUsersBatchClient: Symbol("NotificationsSubscriptionsUsersBatchClient"),
    NotificationsSubscriptionsUsersBatchRoute: Symbol("NotificationsSubscriptionsUsersBatchRoute"),
    NotificationsSubscriptionsUsersClient: Symbol("NotificationsSubscriptionsUsersClient"),
    NotificationsSettingsRoute: Symbol("NotificationsSettingsRoute"),
    NotificationsSettingsClient: Symbol("NotificationsSettingsClient")
};
exports.TYPES = TYPES;
var diModule = new inversify_1.ContainerModule(function (bind) {
    bind(TYPES.NotificationsPublishBatchRoute).to(_1.NotificationsPublishBatchRoute);
    bind(TYPES.NotificationsPublishBatchClient).to(_1.NotificationsPublishBatchClient);
    bind(TYPES.NotificationsPublishRoute).to(_1.NotificationsPublishRoute);
    bind(TYPES.NotificationsPublishClient).to(_1.NotificationsPublishClient);
    bind(TYPES.NotificationsSubscriptionsUsersBatchRoute).to(_1.NotificationsSubscriptionsUsersBatchRoute);
    bind(TYPES.NotificationsSubscriptionsUsersBatchClient).to(_1.NotificationsSubscriptionsUsersBatchClient);
    bind(TYPES.NotificationsSubscriptionsUsersRoute).to(_1.NotificationsSubscriptionsUsersRoute);
    bind(TYPES.NotificationsSubscriptionsUsersClient).to(_1.NotificationsSubscriptionsUsersClient);
    bind(TYPES.NotificationsSubscriptionsAnonymousRoute).to(_1.NotificationsSubscriptionsAnonymousRoute);
    bind(TYPES.NotificationsSubscriptionsAnonymousBatchRoute).to(_1.NotificationsSubscriptionsAnonymousBatchRoute);
    bind(TYPES.NotificationsSubscriptionsAnonymousBatchClient).to(_1.NotificationsSubscriptionsAnonymousBatchClient);
    bind(TYPES.NotificationsSubscriptionsAnonymousClient).to(_1.NotificationsSubscriptionsAnonymousClient);
    bind(TYPES.NotificationsSubscriptionsRoute).to(_1.NotificationsSubscriptionsRoute);
    bind(TYPES.NotificationsSubscriptionsClient).to(_1.NotificationsSubscriptionsClient);
    bind(TYPES.NotificationsRegistrationsUsersBatchRoute).to(_1.NotificationsRegistrationsUsersBatchRoute);
    bind(TYPES.NotificationsRegistrationsUsersBatchClient).to(_1.NotificationsRegistrationsUsersBatchClient);
    bind(TYPES.NotificationsRegistrationsUsersRoute).to(_1.NotificationsRegistrationsUsersRoute);
    bind(TYPES.NotificationsRegistrationsUsersClient).to(_1.NotificationsRegistrationsUsersClient);
    bind(TYPES.NotificationsRegistrationsAnonymousBatchRoute).to(_1.NotificationsRegistrationsAnonymousBatchRoute);
    bind(TYPES.NotificationsRegistrationsAnonymousBatchClient).to(_1.NotificationsRegistrationsAnonymousBatchClient);
    bind(TYPES.NotificationsRegistrationsAnonymousRoute).to(_1.NotificationsRegistrationsAnonymousRoute);
    bind(TYPES.NotificationsRegistrationsAnonymousClient).to(_1.NotificationsRegistrationsAnonymousClient);
    bind(TYPES.NotificationsRegistrationsRoute).to(_1.NotificationsRegistrationsRoute);
    bind(TYPES.NotificationsRegistrationsClient).to(_1.NotificationsRegistrationsClient);
    bind(TYPES.NotificationsSettingsRoute).to(_1.NotificationsSettingsRoute);
    bind(TYPES.NotificationsSettingsClient).to(_1.NotificationsSettingsClient);
    bind(TYPES.NotificationsRoute).to(_1.NotificationsRoute);
    bind(TYPES.NotificationsClient).to(_1.NotificationsClient);
});
exports.diModule = diModule;
