"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _1 = require("./");
var inversify_1 = require("inversify");
var Root = /** @class */ (function () {
    function Root(login, loginSocial, passwordRecovery, register, role, user, lookups, permissions) {
        this.login = login;
        this.loginSocial = loginSocial;
        this.passwordRecovery = passwordRecovery;
        this.register = register;
        this.role = role;
        this.user = user;
        this.lookups = lookups;
        this.permissions = permissions;
    }
    Root = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(_1.TYPES.LoginClient)),
        tslib_1.__param(1, inversify_1.inject(_1.TYPES.LoginSocialClient)),
        tslib_1.__param(2, inversify_1.inject(_1.TYPES.PasswordRecoveryClient)),
        tslib_1.__param(3, inversify_1.inject(_1.TYPES.RegisterClient)),
        tslib_1.__param(4, inversify_1.inject(_1.TYPES.RoleClient)),
        tslib_1.__param(5, inversify_1.inject(_1.TYPES.UserClient)),
        tslib_1.__param(6, inversify_1.inject(_1.TYPES.LookupClient)),
        tslib_1.__param(7, inversify_1.inject(_1.TYPES.PermissionClient)),
        tslib_1.__metadata("design:paramtypes", [_1.LoginClient,
            _1.LoginSocialClient,
            _1.PasswordRecoveryClient,
            _1.RegisterClient,
            _1.RoleClient,
            _1.UserClient,
            _1.LookupClient,
            _1.PermissionClient])
    ], Root);
    return Root;
}());
exports.Root = Root;
