export declare class DateFormatter {
    constructor();
    /**
     * Format the date to the given format
     * @param date Date
     * @param format? nullable format value. If not provided, the yyyyMMddHHmmss format is used
     * @returns formatted date.
     */
    FormatToString(date: Date, format?: string): string;
    GetDateSectionFormatted(date: Date, format: string): string;
}
