import { IStorageHandler, IDefaultStorageConfig } from '../contracts';
export declare class LocalStorageHandler implements IStorageHandler {
    constructor(config: IDefaultStorageConfig);
    clear: () => void;
    remove: (key: string) => void;
    set: (key: string, data: any) => void;
    get: (key: string) => any;
    private removeItem;
    private getItem;
    private setItem;
}
