import { IEventHandler, IUserHandler, IStorageHandler, IUser, IBaasicApp } from './contracts';
export declare class UserHandler implements IUserHandler {
    protected eventHandler: IEventHandler;
    protected storageHandler: IStorageHandler;
    private application;
    private userInfoKey;
    protected user: IUser;
    protected readonly messageTypes: {
        userChanged: string;
    };
    constructor(eventHandler: IEventHandler, storageHandler: IStorageHandler, application: IBaasicApp);
    getUser(): IUser;
    setUser(userInfo: IUser): void;
}
