"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _1 = require("./");
var inversify_1 = require("inversify");
var Root = /** @class */ (function () {
    function Root(blogs, blogPosts, comments, files, tags, statuses) {
        this.blogs = blogs;
        this.blogPosts = blogPosts;
        this.comments = comments;
        this.files = files;
        this.tags = tags;
        this.statuses = statuses;
    }
    Root = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(_1.TYPES.BlogClient)),
        tslib_1.__param(1, inversify_1.inject(_1.TYPES.BlogPostClient)),
        tslib_1.__param(2, inversify_1.inject(_1.TYPES.BlogPostCommentClient)),
        tslib_1.__param(3, inversify_1.inject(_1.TYPES.BlogPostFilesClient)),
        tslib_1.__param(4, inversify_1.inject(_1.TYPES.BlogTagClient)),
        tslib_1.__param(5, inversify_1.inject(_1.TYPES.BlogPostStatusClient)),
        tslib_1.__metadata("design:paramtypes", [_1.BlogClient,
            _1.BlogPostClient,
            _1.BlogPostCommentClient,
            _1.BlogPostFilesClient,
            _1.BlogTagClient,
            _1.BlogPostStatusClient])
    ], Root);
    return Root;
}());
exports.Root = Root;
