"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _1 = require("./");
var inversify_1 = require("inversify");
var Root = /** @class */ (function () {
    function Root(lookups, ACL, attendee, calendar, event, rsvp) {
        this.lookups = lookups;
        this.ACL = ACL;
        this.attendee = attendee;
        this.calendar = calendar;
        this.event = event;
        this.rsvp = rsvp;
    }
    Root = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(_1.TYPES.CalendarLookups)),
        tslib_1.__param(1, inversify_1.inject(_1.TYPES.CalendarACLClient)),
        tslib_1.__param(2, inversify_1.inject(_1.TYPES.CalendarEventRsvpAttendeeClient)),
        tslib_1.__param(3, inversify_1.inject(_1.TYPES.CalendarClient)),
        tslib_1.__param(4, inversify_1.inject(_1.TYPES.CalendarEventClient)),
        tslib_1.__param(5, inversify_1.inject(_1.TYPES.CalendarEventRsvpClient)),
        tslib_1.__metadata("design:paramtypes", [_1.CalendarLookups,
            _1.CalendarACLClient,
            _1.CalendarEventRsvpAttendeeClient,
            _1.CalendarClient,
            _1.CalendarEventClient,
            _1.CalendarEventRsvpClient])
    ], Root);
    return Root;
}());
exports.Root = Root;
