"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var Symbol = require("es6-symbol");
var _1 = require("./");
var TYPES = {
    CommerceCustomerPaymentMethodClient: Symbol("CommerceCustomerPaymentMethodClient"),
    CommerceCustomerPaymentMethodRoute: Symbol("CommerceCustomerPaymentMethodRoute"),
    CommerceCustomerClient: Symbol("CommerceCustomerClient"),
    CommerceCustomerRoute: Symbol("CommerceCustomerRoute"),
    CommerceInvoiceClient: Symbol("CommerceInvoiceClient"),
    CommerceInvoiceRoute: Symbol("CommerceInvoiceRoute"),
    CommerceInvoiceStreamsClient: Symbol("CommerceInvoiceStreamsClient"),
    CommerceInvoiceStreamsRoute: Symbol("CommerceInvoiceStreamsRoute"),
    CommercePaymentTransactionClient: Symbol("CommercePaymentTransactionClient"),
    CommercePaymentTransactionRoute: Symbol("CommercePaymentTransactionRoute"),
    CommerceAddOnClient: Symbol("CommerceAddOnClient"),
    CommerceAddOnRoute: Symbol("CommerceAddOnRoute"),
    CommerceProductClient: Symbol("CommerceProductClient"),
    CommerceProductRoute: Symbol("CommerceProductRoute"),
    CommerceProductFilesStreamsClient: Symbol("CommerceProductFilesStreamsClient"),
    CommerceProductFilesStreamsRoute: Symbol("CommerceProductFilesStreamsRoute"),
    CommerceProductFilesBatchClient: Symbol("CommerceProductFilesBatchClient"),
    CommerceProductFilesBatchRoute: Symbol("CommerceProductFilesBatchRoute"),
    CommerceProductFilesClient: Symbol("CommerceProductFilesClient"),
    CommerceProductFilesRoute: Symbol("CommerceProductFilesRoute"),
    CommerceProductSettingsClient: Symbol("CommerceProductSettingsClient"),
    CommerceProductSettingsRoute: Symbol("CommerceProductSettingsRoute"),
    CommerceProductInstanceFilesClient: Symbol("CommerceProductInstanceFilesClient"),
    CommerceProductInstanceFilesRoute: Symbol("CommerceProductInstanceFilesRoute"),
    CommerceProductInstanceFilesBatchClient: Symbol("CommerceProductInstanceFilesBatchClient"),
    CommerceProductInstanceFilesBatchRoute: Symbol("CommerceProductInstanceFilesBatchRoute"),
    CommerceCouponClient: Symbol("CommerceCouponClient"),
    CommerceCouponRoute: Symbol("CommerceCouponRoute"),
    CommerceCouponUseClient: Symbol("CommerceCouponUseClient"),
    CommerceCouponUseRoute: Symbol("CommerceCouponUseRoute"),
    CommerceClient: Symbol("CommerceClient"),
    CommerceRoute: Symbol("CommerceRoute"),
    CommerceLookupsAddressTypesBatchClient: Symbol("CommerceLookupsAddressTypesBatchClient"),
    CommerceLookupsAddressTypeBatchRoute: Symbol("CommerceLookupsAddressTypeBatchRoute"),
    CommerceLookupsAddressTypesClient: Symbol("CommerceLookupsAddressTypesClient"),
    CommerceLookupsAddressTypeRoute: Symbol("CommerceLookupsAddressTypeRoute"),
    CommerceLookupsCountryBatchClient: Symbol("CommerceLookupsCountryBatchClient"),
    CommerceLookupsCountryBatchRoute: Symbol("CommerceLookupsCountryBatchRoute"),
    CommerceLookupsCountryClient: Symbol("CommerceLookupsCountryClient"),
    CommerceLookupsCountryRoute: Symbol("CommerceLookupsCountryRoute"),
    CommerceLookupsCountryStateBatchClient: Symbol("CommerceLookupsCountryStateBatchClient"),
    CommerceLookupsCountryStateBatchRoute: Symbol("CommerceLookupsCountryStateBatchRoute"),
    CommerceLookupsCountryStateClient: Symbol("CommerceLookupsCountryStateClient"),
    CommerceLookupsCountryStateRoute: Symbol("CommerceLookupsCountryStateRoute"),
    CommerceLookupsPaymentMethodBatchClient: Symbol("CommerceLookupsPaymentMethodBatchClient"),
    CommerceLookupsPaymentMethodBatchRoute: Symbol("CommerceLookupsPaymentMethodBatchRoute"),
    CommerceLookupsPaymentMethodClient: Symbol("CommerceLookupsPaymentMethodClient"),
    CommerceLookupsPaymentMethodRoute: Symbol("CommerceLookupsPaymentMethodRoute"),
    CommerceLookupsPaymentTransactionStatusBatchClient: Symbol("CommerceLookupsPaymentTransactionStatusBatchClient"),
    CommerceLookupsPaymentTransactionStatusBatchRoute: Symbol("CommerceLookupsPaymentTransactionStatusBatchRoute"),
    CommerceLookupsPaymentTransactionStatusClient: Symbol("CommerceLookupsPaymentTransactionStatusClient"),
    CommerceLookupsPaymentTransactionStatusRoute: Symbol("CommerceLookupsPaymentTransactionStatusRoute"),
    CommerceLookupsRecurringCyclePeriodTypeBatchClient: Symbol("CommerceLookupsRecurringCyclePeriodTypeBatchClient"),
    CommerceLookupsRecurringCyclePeriodTypeBatchRoute: Symbol("CommerceLookupsRecurringCyclePeriodTypeBatchRoute"),
    CommerceLookupsRecurringCyclePeriodTypeClient: Symbol("CommerceLookupsRecurringCyclePeriodTypeClient"),
    CommerceLookupsRecurringCyclePeriodTypeRoute: Symbol("CommerceLookupsRecurringCyclePeriodTypeRoute"),
    CommerceLookupsSubscriptionStatusBatchClient: Symbol("CommerceLookupsSubscriptionStatusBatchClient"),
    CommerceLookupsSubscriptionStatusBatchRoute: Symbol("CommerceLookupsSubscriptionStatusBatchRoute"),
    CommerceLookupsSubscriptionStatusClient: Symbol("CommerceLookupsSubscriptionStatusClient"),
    CommerceLookupsSubscriptionStatusRoute: Symbol("CommerceLookupsSubscriptionStatusRoute"),
    CommerceLookupsInvoiceStatusBatchRoute: Symbol("CommerceLookupsInvoiceStatusBatchRoute"),
    CommerceLookupsInvoiceStatusRoute: Symbol("CommerceLookupsInvoiceStatusRoute"),
    CommerceLookupsInvoiceStatusBatchClient: Symbol("CommerceLookupsInvoiceStatusBatchClient"),
    CommerceLookupsInvoiceStatusClient: Symbol("CommerceLookupsInvoiceStatusClient"),
    CommerceLookupsCouponTypeBatchRoute: Symbol("CommerceLookupsCouponTypeBatchRoute"),
    CommerceLookupsCouponTypeRoute: Symbol("CommerceLookupsCouponTypeRoute"),
    CommerceLookupsCouponTypesBatchClient: Symbol("CommerceLookupsCouponTypesBatchClient"),
    CommerceLookupsCouponTypesClient: Symbol("CommerceLookupsCouponTypesClient"),
    Lookups: Symbol("Lookups")
};
exports.TYPES = TYPES;
var diModule = new inversify_1.ContainerModule(function (bind) {
    bind(TYPES.CommerceCustomerPaymentMethodRoute).to(_1.CommerceCustomerPaymentMethodRoute);
    bind(TYPES.CommerceCustomerPaymentMethodClient).to(_1.CommerceCustomerPaymentMethodClient);
    bind(TYPES.CommerceCustomerRoute).to(_1.CommerceCustomerRoute);
    bind(TYPES.CommerceCustomerClient).to(_1.CommerceCustomerClient);
    bind(TYPES.CommerceInvoiceStreamsRoute).to(_1.CommerceInvoiceStreamsRoute);
    bind(TYPES.CommerceInvoiceStreamsClient).to(_1.CommerceInvoiceStreamsClient);
    bind(TYPES.CommerceInvoiceClient).to(_1.CommerceInvoiceClient);
    bind(TYPES.CommerceInvoiceRoute).to(_1.CommerceInvoiceRoute);
    bind(TYPES.CommercePaymentTransactionRoute).to(_1.CommercePaymentTransactionRoute);
    bind(TYPES.CommercePaymentTransactionClient).to(_1.CommercePaymentTransactionClient);
    bind(TYPES.CommerceAddOnRoute).to(_1.CommerceAddOnRoute);
    bind(TYPES.CommerceAddOnClient).to(_1.CommerceAddOnClient);
    bind(TYPES.CommerceProductRoute).to(_1.CommerceProductRoute);
    bind(TYPES.CommerceProductClient).to(_1.CommerceProductClient);
    bind(TYPES.CommerceProductFilesStreamsRoute).to(_1.CommerceProductFilesStreamsRoute);
    bind(TYPES.CommerceProductFilesStreamsClient).to(_1.CommerceProductFilesStreamsClient);
    bind(TYPES.CommerceProductFilesBatchRoute).to(_1.CommerceProductFilesBatchRoute);
    bind(TYPES.CommerceProductFilesBatchClient).to(_1.CommerceProductFilesBatchClient);
    bind(TYPES.CommerceProductFilesClient).to(_1.CommerceProductFilesClient);
    bind(TYPES.CommerceProductFilesRoute).to(_1.CommerceProductFilesRoute);
    bind(TYPES.CommerceProductSettingsClient).to(_1.CommerceProductSettingsClient);
    bind(TYPES.CommerceProductSettingsRoute).to(_1.CommerceProductSettingsRoute);
    bind(TYPES.CommerceCouponClient).to(_1.CommerceCouponClient);
    bind(TYPES.CommerceCouponRoute).to(_1.CommerceCouponRoute);
    bind(TYPES.CommerceCouponUseClient).to(_1.CommerceCouponUseClient);
    bind(TYPES.CommerceCouponUseRoute).to(_1.CommerceCouponUseRoute);
    bind(TYPES.CommerceRoute).to(_1.CommerceRoute);
    bind(TYPES.CommerceClient).to(_1.CommerceClient);
    bind(TYPES.CommerceLookupsAddressTypeBatchRoute).to(_1.CommerceLookupsAddressTypeBatchRoute);
    bind(TYPES.CommerceLookupsAddressTypesBatchClient).to(_1.CommerceLookupsAddressTypesBatchClient);
    bind(TYPES.CommerceLookupsAddressTypeRoute).to(_1.CommerceLookupsAddressTypeRoute);
    bind(TYPES.CommerceLookupsAddressTypesClient).to(_1.CommerceLookupsAddressTypesClient);
    bind(TYPES.CommerceLookupsCountryBatchRoute).to(_1.CommerceLookupsCountryBatchRoute);
    bind(TYPES.CommerceLookupsCountryBatchClient).to(_1.CommerceLookupsCountryBatchClient);
    bind(TYPES.CommerceLookupsCountryRoute).to(_1.CommerceLookupsCountryRoute);
    bind(TYPES.CommerceLookupsCountryClient).to(_1.CommerceLookupsCountryClient);
    bind(TYPES.CommerceLookupsCountryStateBatchRoute).to(_1.CommerceLookupsCountryStateBatchRoute);
    bind(TYPES.CommerceLookupsCountryStateBatchClient).to(_1.CommerceLookupsCountryStateBatchClient);
    bind(TYPES.CommerceLookupsCountryStateRoute).to(_1.CommerceLookupsCountryStateRoute);
    bind(TYPES.CommerceLookupsCountryStateClient).to(_1.CommerceLookupsCountryStateClient);
    bind(TYPES.CommerceLookupsPaymentMethodBatchRoute).to(_1.CommerceLookupsPaymentMethodBatchRoute);
    bind(TYPES.CommerceLookupsPaymentMethodBatchClient).to(_1.CommerceLookupsPaymentMethodBatchClient);
    bind(TYPES.CommerceLookupsPaymentMethodRoute).to(_1.CommerceLookupsPaymentMethodRoute);
    bind(TYPES.CommerceLookupsPaymentMethodClient).to(_1.CommerceLookupsPaymentMethodClient);
    bind(TYPES.CommerceLookupsPaymentTransactionStatusBatchRoute).to(_1.CommerceLookupsPaymentTransactionStatusBatchRoute);
    bind(TYPES.CommerceLookupsPaymentTransactionStatusBatchClient).to(_1.CommerceLookupsPaymentTransactionStatusBatchClient);
    bind(TYPES.CommerceLookupsPaymentTransactionStatusRoute).to(_1.CommerceLookupsPaymentTransactionStatusRoute);
    bind(TYPES.CommerceLookupsPaymentTransactionStatusClient).to(_1.CommerceLookupsPaymentTransactionStatusClient);
    bind(TYPES.CommerceLookupsRecurringCyclePeriodTypeBatchRoute).to(_1.CommerceLookupsRecurringCyclePeriodTypeBatchRoute);
    bind(TYPES.CommerceLookupsRecurringCyclePeriodTypeBatchClient).to(_1.CommerceLookupsRecurringCyclePeriodTypeBatchClient);
    bind(TYPES.CommerceLookupsRecurringCyclePeriodTypeRoute).to(_1.CommerceLookupsRecurringCyclePeriodTypeRoute);
    bind(TYPES.CommerceLookupsRecurringCyclePeriodTypeClient).to(_1.CommerceLookupsRecurringCyclePeriodTypeClient);
    bind(TYPES.CommerceLookupsSubscriptionStatusBatchRoute).to(_1.CommerceLookupsSubscriptionStatusBatchRoute);
    bind(TYPES.CommerceLookupsSubscriptionStatusBatchClient).to(_1.CommerceLookupsSubscriptionStatusBatchClient);
    bind(TYPES.CommerceLookupsSubscriptionStatusRoute).to(_1.CommerceLookupsSubscriptionStatusRoute);
    bind(TYPES.CommerceLookupsSubscriptionStatusClient).to(_1.CommerceLookupsSubscriptionStatusClient);
    bind(TYPES.CommerceLookupsInvoiceStatusBatchRoute).to(_1.CommerceLookupsInvoiceStatusBatchRoute);
    bind(TYPES.CommerceLookupsInvoiceStatusRoute).to(_1.CommerceLookupsInvoiceStatusRoute);
    bind(TYPES.CommerceLookupsInvoiceStatusBatchClient).to(_1.CommerceLookupsInvoiceStatusBatchClient);
    bind(TYPES.CommerceLookupsInvoiceStatusClient).to(_1.CommerceLookupsInvoiceStatusClient);
    bind(TYPES.CommerceLookupsCouponTypeBatchRoute).to(_1.CommerceLookupsCouponTypeBatchRoute);
    bind(TYPES.CommerceLookupsCouponTypeRoute).to(_1.CommerceLookupsCouponTypeRoute);
    bind(TYPES.CommerceLookupsCouponTypesBatchClient).to(_1.CommerceLookupsCouponTypesBatchClient);
    bind(TYPES.CommerceLookupsCouponTypesClient).to(_1.CommerceLookupsCouponTypesClient);
    bind(TYPES.Lookups).to(_1.Lookups);
});
exports.diModule = diModule;
