"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var __1 = require("../");
var _1 = require("./");
var inversify_1 = require("inversify");
var Lookups = /** @class */ (function () {
    function Lookups(addressTypes, countries, countryStates, paymentMethods, paymentTransactionStatuses, recurringCyclePeriodTypes, subscriptionStatuses, invoiceStatuses, couponTypes) {
        this.addressTypes = addressTypes;
        this.countries = countries;
        this.countryStates = countryStates;
        this.paymentMethods = paymentMethods;
        this.paymentTransactionStatuses = paymentTransactionStatuses;
        this.recurringCyclePeriodTypes = recurringCyclePeriodTypes;
        this.subscriptionStatuses = subscriptionStatuses;
        this.invoiceStatuses = invoiceStatuses;
        this.couponTypes = couponTypes;
    }
    Lookups = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(__1.TYPES.CommerceLookupsAddressTypesClient)),
        tslib_1.__param(1, inversify_1.inject(__1.TYPES.CommerceLookupsCountryClient)),
        tslib_1.__param(2, inversify_1.inject(__1.TYPES.CommerceLookupsCountryStateClient)),
        tslib_1.__param(3, inversify_1.inject(__1.TYPES.CommerceLookupsPaymentMethodClient)),
        tslib_1.__param(4, inversify_1.inject(__1.TYPES.CommerceLookupsPaymentTransactionStatusClient)),
        tslib_1.__param(5, inversify_1.inject(__1.TYPES.CommerceLookupsRecurringCyclePeriodTypeClient)),
        tslib_1.__param(6, inversify_1.inject(__1.TYPES.CommerceLookupsSubscriptionStatusClient)),
        tslib_1.__param(7, inversify_1.inject(__1.TYPES.CommerceLookupsInvoiceStatusClient)),
        tslib_1.__param(8, inversify_1.inject(__1.TYPES.CommerceLookupsCouponTypesClient)),
        tslib_1.__metadata("design:paramtypes", [_1.CommerceLookupsAddressTypesClient,
            _1.CommerceLookupsCountryClient,
            _1.CommerceLookupsCountryStateClient,
            _1.CommerceLookupsPaymentMethodClient,
            _1.CommerceLookupsPaymentTransactionStatusClient,
            _1.CommerceLookupsRecurringCyclePeriodTypeClient,
            _1.CommerceLookupsSubscriptionStatusClient,
            _1.CommerceLookupsInvoiceStatusClient,
            _1.CommerceLookupsCouponTypesClient])
    ], Lookups);
    return Lookups;
}());
exports.Lookups = Lookups;
