"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _1 = require("./");
var inversify_1 = require("inversify");
var Root = /** @class */ (function () {
    function Root(profile, company, organization, skill) {
        this.profile = profile;
        this.company = company;
        this.organization = organization;
        this.skill = skill;
    }
    Root = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(_1.TYPES.UserProfileClient)),
        tslib_1.__param(1, inversify_1.inject(_1.TYPES.CompanyClient)),
        tslib_1.__param(2, inversify_1.inject(_1.TYPES.OrganizationClient)),
        tslib_1.__param(3, inversify_1.inject(_1.TYPES.SkillClient)),
        tslib_1.__metadata("design:paramtypes", [_1.UserProfileClient,
            _1.CompanyClient,
            _1.OrganizationClient,
            _1.SkillClient])
    ], Root);
    return Root;
}());
exports.Root = Root;
